ON_TextDot Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_annotation2.h>`

Inheritance diagram for ON_TextDot:

## Public Member Functions

| ON_TextDot ()
| ~ON_TextDot ()
void | EmergencyDestroy ()
ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
void | Dump (ON_TextLog &log) const
ON_BOOL32 | Write (ON_BinaryArchive &ar) const
ON_BOOL32 | Read (ON_BinaryArchive &ar)
ON::object_type | ObjectType () const
int | Dimension () const
ON_BOOL32 | GetBBox (double *box_min, double *box_max, ON_BOOL32 grow_box=false) const
ON_BOOL32 | Transform (const ON_Xform &xform)
bool | IsDeformable () const
bool | MakeDeformable ()
const ON_3dPoint & | Point () const
void | SetPoint (const ON_3dPoint &point)
int | Height () const
void | SetHeight (int)
const wchar_t * | TextString () const
void | SetTextString (const wchar_t *string)
const wchar_t * | FontFace () const
void | SetFontFace (const wchar_t *face)
void | SetAlwaysOnTop (bool bTop)
bool | AlwaysOnTop () const
void | SetTransparent (bool bTransparent)
bool | Transparent () const
void | SetBold (bool bBold)
bool | Bold () const
void | SetItalic (bool bItalic)
bool | Italic () const
Public Member Functions inherited from ON_Geometry
| ON_Geometry ()
| ON_Geometry (const ON_Geometry &)
ON_Geometry & | operator= (const ON_Geometry &)
virtual | ~ON_Geometry ()
ON_BoundingBox | BoundingBox () const
ON_BOOL32 | GetBoundingBox (ON_BoundingBox &bbox, int bGrowBox=false) const
ON_BOOL32 | GetBoundingBox (ON_3dPoint &bbox_min, ON_3dPoint &bbox_max, int bGrowBox=false) const
ON_BOOL32 | Rotate (double sin_angle, double cos_angle, const ON_3dVector &rotation_axis, const ON_3dPoint &rotation_center)
ON_BOOL32 | Rotate (double rotation_angle, const ON_3dVector &rotation_axis, const ON_3dPoint &rotation_center)
ON_BOOL32 | Translate (const ON_3dVector &translation_vector)
ON_BOOL32 | Scale (double scale_factor)
virtual bool | GetTightBoundingBox (ON_BoundingBox &tight_bbox, int bGrowBox=false, const ON_Xform *xform=0) const
virtual void | ClearBoundingBox ()
virtual ON_BOOL32 | SwapCoordinates (int i, int j)
virtual ON_BOOL32 | HasBrepForm () const
virtual ON_Brep * | BrepForm (ON_Brep *brep=NULL) const
virtual ON_COMPONENT_INDEX | ComponentIndex () const
virtual bool | EvaluatePoint (const class ON_ObjRef &objref, ON_3dPoint &P) const
Public Member Functions inherited from ON_Object
bool | CopyFrom (const ON_Object *src)
| ON_Object ()
| ON_Object (const ON_Object &)
ON_Object & | operator= (const ON_Object &)
virtual | ~ON_Object ()
void | EmergencyDestroy ()
virtual void | MemoryRelocate ()
ON_BOOL32 | IsKindOf (const ON_ClassId *pClassId) const
virtual unsigned int | SizeOf () const
virtual ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
virtual ON_UUID | ModelObjectId () const
bool | SetUserString (const wchar_t *key, const wchar_t *string_value)
int | SetUserStrings (int count, const ON_UserString *user_strings, bool bReplace)
bool | GetUserString (const wchar_t *key, ON_wString &string_value) const
int | GetUserStrings (ON_ClassArray< ON_UserString > &user_strings) const
int | GetUserStringKeys (ON_ClassArray< ON_wString > &user_string_keys) const
int | UserStringCount () const
ON_BOOL32 | AttachUserData (ON_UserData *pUserData)
ON_BOOL32 | DetachUserData (ON_UserData *pUserData)
ON_UserData * | GetUserData (const ON_UUID &userdata_uuid) const
void | PurgeUserData ()
ON_UserData * | FirstUserData () const
void | TransformUserData (const ON_Xform &xform)
void | CopyUserData (const ON_Object &source_object)
void | MoveUserData (ON_Object &source_object)
virtual void | DestroyRuntimeCache (bool bDelete=true)

## Public Attributes

ON_3dPoint | m_point
int | m_height
ON_wString | m_text
ON_wString | m_fontface
int | m_display

## Detailed Description

Definition at line 2158 of file opennurbs_annotation2.h.

## Constructor & Destructor Documentation

ON_TextDot::ON_TextDot | ( |  | ) |

ON_TextDot::~ON_TextDot | ( |  | ) |

## Member Function Documentation

bool ON_TextDot::AlwaysOnTop | ( |  | ) | const

bool ON_TextDot::Bold | ( |  | ) | const

int ON_TextDot::Dimension | ( |  | ) | const

virtual

Implements ON_Geometry.

void ON_TextDot::Dump | ( | ON_TextLog & | log | ) | const

virtual

Reimplemented from ON_Object.

void ON_TextDot::EmergencyDestroy | ( |  | ) |

const wchar_t* ON_TextDot::FontFace | ( |  | ) | const

ON_BOOL32 ON_TextDot::GetBBox | ( | double * | box_min,
|  | double * | box_max,
|  | ON_BOOL32 | grow_box = `false`
| ) |  | const

virtual

Implements ON_Geometry.

int ON_TextDot::Height | ( |  | ) | const

bool ON_TextDot::IsDeformable | ( |  | ) | const

virtual

Reimplemented from ON_Geometry.

ON_BOOL32 ON_TextDot::IsValid | ( | ON_TextLog * | text_log = `NULL` | ) | const

virtual

Implements ON_Object.

bool ON_TextDot::Italic | ( |  | ) | const

bool ON_TextDot::MakeDeformable | ( |  | ) |

virtual

Reimplemented from ON_Geometry.

ON::object_type ON_TextDot::ObjectType | ( |  | ) | const

virtual

Reimplemented from ON_Object.

const ON_3dPoint& ON_TextDot::Point | ( |  | ) | const

ON_BOOL32 ON_TextDot::Read | ( | ON_BinaryArchive & | ar | ) |

virtual

Reimplemented from ON_Object.

void ON_TextDot::SetAlwaysOnTop | ( | bool | bTop | ) |

void ON_TextDot::SetBold | ( | bool | bBold | ) |

void ON_TextDot::SetFontFace | ( | const wchar_t * | face | ) |

void ON_TextDot::SetHeight | ( | int |  | ) |

void ON_TextDot::SetItalic | ( | bool | bItalic | ) |

void ON_TextDot::SetPoint | ( | const ON_3dPoint & | point | ) |

void ON_TextDot::SetTextString | ( | const wchar_t * | string | ) |

void ON_TextDot::SetTransparent | ( | bool | bTransparent | ) |

const wchar_t* ON_TextDot::TextString | ( |  | ) | const

ON_BOOL32 ON_TextDot::Transform | ( | const ON_Xform & | xform | ) |

virtual

Reimplemented from ON_Geometry.

bool ON_TextDot::Transparent | ( |  | ) | const

ON_BOOL32 ON_TextDot::Write | ( | ON_BinaryArchive & | ar | ) | const

virtual

Reimplemented from ON_Object.

## Member Data Documentation

int ON_TextDot::m_display

Definition at line 2339 of file opennurbs_annotation2.h.

ON_wString ON_TextDot::m_fontface

Definition at line 2338 of file opennurbs_annotation2.h.

int ON_TextDot::m_height

Definition at line 2336 of file opennurbs_annotation2.h.

ON_3dPoint ON_TextDot::m_point

Definition at line 2335 of file opennurbs_annotation2.h.

ON_wString ON_TextDot::m_text

Definition at line 2337 of file opennurbs_annotation2.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_annotation2.h